Page MenuHomePhabricator

merge: use collections.defaultdict() for mergeresult.commitinfo
ClosedPublic

Authored by pulkit on Aug 10 2020, 7:18 AM.

Details

Summary

We will be storing info from mergeresult.commitinfo to mergestate._stateextras
in upcoming patches, let's make them use same structure so that we don't have to
make much efforts in transferring info from one to other.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

pulkit created this revision.Aug 10 2020, 7:18 AM
marmoute accepted this revision.Aug 10 2020, 1:17 PM
marmoute requested changes to this revision.

Having a filenode key that does not contains a filenode is quite misleading. Can we use a different key ? (and align the extrastate dict in the same direction?)

This revision now requires changes to proceed.Aug 10 2020, 1:18 PM
pulkit updated this revision to Diff 22393.Aug 11 2020, 3:46 AM

Having a filenode key that does not contains a filenode is quite misleading. Can we use a different key ? (and align the extrastate dict in the same direction?)

Sure, renamed to filenode-source.

indygreg accepted this revision.Aug 22 2020, 6:44 PM
This revision was not accepted when it landed; it landed in state Needs Review.
This revision was automatically updated to reflect the committed changes.